
# https://github.com/jerson/pgrok


include ./git.mk


LIB_REPO=				github.com/jerson
LIB_REPO_FSPATH=		$(GOPATH)/src/$(LIB_REPO)

# PGR = pgrok
PGR_NAME=pgrok
PGR_TAG=v3.1.5

### RUN
BIN_FSPATH=$(PWD)/bin
DATA_FSPATH=$(PWD)/data

this-server-build:
	mkdir -p $(BIN_FSPATH)
	cd $(LIB_REPO_FSPATH)/$(PGR_NAME)/cmd/pgrokd && go build -o $(BIN_FSPATH)/$(PGR_NAME)d .

this-client-build:
	mkdir -p $(BIN_FSPATH)
	cd $(LIB_REPO_FSPATH)/$(PGR_NAME)/cmd/pgrok && go build -o $(BIN_FSPATH)/$(PGR_NAME) .

this-cleint-run:
	$(BIN_FSPATH)/$(PGR_NAME) -subdomain=customsubdomain 3000



